const { exec } = require ("child_process")
const queue = require ("@ptb/queue")
const { SyncHook } = require ("tapable")

const amory = new SyncHook ()

const lint = (file) => {
  if (file.obj === "file") {
    exec (`prettier-eslint --write ${file.src}`)
  }
}

amory.tap ("js:lint", () => {
  queue.watch ({ "src": "src/**/*.js" }, lint)
})
